<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Luzuk Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />

<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Balsamiq+Sans:ital,wght@0,400;0,700;1,400;1,700&display=swap" rel="stylesheet">

<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Balsamiq+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;0,800;1,300;1,400;1,600;1,700;1,800&display=swap" rel="stylesheet">


		<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	<script>
		function buttonUp(){
			var valux = $('.sb-search-input').val(); 
			valux = $.trim(valux).length;
			if(valux !== 0){
				$('.sb-search-submit').css('z-index','99');
			} else{
				$('.sb-search-input').val(''); 
				$('.sb-search-submit').css('z-index','-999');
			}
		}

		$(document).ready(function(){
			var submitIcon = $('.sb-icon-search');
			var submitInput = $('.sb-search-input');
			var searchBox = $('.sb-search');
			var isOpen = false;

			$(document).mouseup(function(){
				if(isOpen == true){
					submitInput.val('');
					$('.sb-search-submit').css('z-index','-999');
					submitIcon.click();
				}
			});

			submitIcon.mouseup(function(){
				return false;
			});

			searchBox.mouseup(function(){
				return false;
			});

			submitIcon.click(function(){
				if(isOpen == false){
					searchBox.addClass('sb-search-open');
					isOpen = true;
				} else {
					searchBox.removeClass('sb-search-open');
					isOpen = false;
				}
			});

		});
	</script>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		<!-- <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'InsideTours' ); ?></a> -->
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->
		<!-- #masthead -->
		<header class="site-header header-transparent header mo-left header-seo">
			
			<div class="container clearfix">
				<div class="top-bar-head">
					<div class="highlightbox"></div>
					<div class="header-left col-md-3 col-sm-4 col-xs-12 logo">
					<div class="row row-eq-height">
						<div class="header-outer-l-border col-md-1 col-sm-2 col-xs-1">
							<div class="inside-full-height">
								<div class="header-left-border"></div>
							</div>
						</div>
						<div class="hl-border col-md-8 col-sm-8 col-xs-9">
							<div class="inside-full-height">
						<?php 
						
							if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
								$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
							}
							if( get_theme_mod('pages_logoToppadding',true) ) {
								$pages_logoToppadding = 'top-padding:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
							}
							if( get_theme_mod('pages_logobottompadding',true) ) {
								$pages_logobottompadding = 'bottom-padding:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
							}
							if( get_theme_mod('pages_headerhighlightbg',true) ) {
								$pages_headerhighlightbg = 'height:'.esc_attr(get_theme_mod('pages_headerhighlightbg')).';';
							}

							?>
							<!-- website logo -->
							<div class="logo-header mostion">
							
								<?php 
								if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
									the_custom_logo();
							else : 
								if ( is_front_page() ) : ?>
									<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
									<?php else : ?>
										<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
									<?php endif; ?>
								<?php endif; ?>
							</div> 
							<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p>  
							<!-- nav toggle button -->
							<div class="resp_header_logo">
								<?php 
								if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
									the_custom_logo();
							else : 
								if ( is_front_page() ) : ?>
									<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
									<?php else : ?>
										<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
									<?php endif; ?>
									<!-- <p class="ht-site-description"><a href="<?php //echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php //bloginfo( 'description' ); ?></a></p> -->
								<?php endif; ?>
							</div>
								
							<div class="clearfix"></div>
						</div>
						</div> 
						<div class="header-outer-border col-md-1 col-sm-2 col-xs-1">
							<div class="inside-full-height">
								<div class="header-right-border"></div>
							</div>
						</div>
						<div class="clearfix"></div>
						</div>
			

				</div> 
					<div class="col-md-9 col-sm-8 col-xs-12 header-right pd-0">
						 <div class="header-content-area">
						 		<div class="row row-eq-height">
						 	 <div class="col-md-9 col-sm-12 header-phone pd-0">
						 	 	<div class="inside-full-height">
							  	<?php 	
										$phone = get_theme_mod('header_phone', '+1012-478-245');
										$email = get_theme_mod('header_email', 'toyfactoy@gmail.com');
									?>
										<div class="hd-contact">
											<?php if($phone){ ?>
											<li><i class="fa fa-phone" aria-hidden="true"></i><a href="tel:<?php echo $phone;?>"><?php echo $phone ;?></a></li>
											<?php } ?>
											<?php if($email){ ?>
											<li><i class="fa fa-envelope" aria-hidden="true"></i><a href="mailto:<?php echo $email;?>"><?php echo $email ;?></a></li>
											<?php } ?>
											<div class="clearfix"></div>
										</div>
									</div>
						  	 </div>
						  	   <div class="col-md-3 col-sm-10 col-xs-12">
						  	   	<div class="inside-full-height">
						  	  	<div id="sb-search" class="sb-search col-3">
										<form>
											<input class="sb-search-input effect-12" onkeyup="buttonUp();" placeholder="Search..." onblur="monkey();" type="search" value="" name="s" id="search" />
											<span class="focus-bg"></span>
											<input class="sb-search-submit" type="submit"  value="" />
											<span class="sb-icon-search"><i class="fa fa-search"></i></span>
										</form>
									</div>
									<div class="clearfix"></div>
								</div>
								</div>

								<div class="clearfix"></div>
						</div>


						 <div class="clearfix"></div>
					</div>
				  <div class="header-nav-area">
                <div class=" col-md-9 col-sm-6 col-xs-12 header-menu">

					<div class="site-navigation ">
                        <div class="hamburger-menus">
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                            <span></span>
                        </div>
                        <nav class="navigation">
                            <div class="overlaybg"></div><!--  /.overlaybg -->
                            <!-- Main Menu -->
                            <div class="menu-wrapper">
                                <div class="menu-content">
                                    <?php
                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
                                            wp_nav_menu ( array(
                                                'menu_class' => 'mainmenu ht-clearfix',
                                                'container'=> 'ul',
                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
                                                'theme_location' => 'primary',  
                                            )); 
                                        } else {
                                            wp_nav_menu ( array(
                                                'menu_class' => 'mainmenu ht-clearfix',
                                                'container'=> 'ul',
                                                'theme_location' => 'primary',  
                                            )); 
                                        }
                                    ?>
                                </div> <!-- /.hours-content-->

                              

							<div class="clearfix"></div>

                            </div><!-- /.menu-wrapper --> 
                        </nav>
                        <div class="clearfix"></div>
                    </div><!--  /.site-navigation -->
                </div>


                	<div class="header-share col-md-3 col-sm-6 col-xs-12">
                		<?php 
						$facebook = get_theme_mod('header_fb', '//facebook.com/');
						$twitter = get_theme_mod('header_tw', '//twitter.com/');
						$instagram = get_theme_mod('header_insta', 'https://www.instagram.com/');
						$pinterest = get_theme_mod('header_pin', '');
						$linkedin = get_theme_mod('header_link', '');
					?>
				<div class="share-btn">
					<ul>
						<?php if(!empty($twitter)){ ?>
							<li><a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa fa-twitter"></i></a></li>
						<?php }?>	
						<?php if(!empty($facebook)){ ?>
							<li><a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a></li>
						<?php }?>										
						<?php if(!empty($instagram)){ ?>
							<li><a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>
						<?php }?>
						<?php if(!empty($pinterest)){ ?>
							<li><a href="<?php echo $pinterest ?>" title="pinterest" class="site-button sharp" target="_blank"><i class="fa fa-pinterest" aria-hidden="true"></i></a></li>
						<?php }?>
						<?php if(!empty($linkedin)){ ?>
							<li><a href="<?php echo $linkedin ?>" title="linkedin" class="site-button sharp" target="_blank"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
						<?php }?>
						<div class="clearfix"></div>
					</ul>
				</div>
				<div class="clearfix"></div>
			</div>
			<div class="clearfix"></div>
            </div>
				  </div>
				  
			<div class="clearfix"></div>
				</div>
				<div class="clearfix"></div>
			</div>			
			<div class="clearfix"></div>
		</header>
	</div>
