<?php

/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author Luzuk <support@luzuk.com>
 * */
function testimonialShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('test_npp_count', 8);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');

        if ($isCustomizer === true) {
            $testimonial_area_designation = get_theme_mod('testimonial_area_designation' . $i);
            $testimonials_area_facebook = get_theme_mod('testimonials_area_facebook' . $i);
            $testimonials_area_twitter = get_theme_mod('testimonials_area_twitter' . $i);
            $testimonials_area_instagram = get_theme_mod('testimonials_area_instagram' . $i);

        } else {
            $testimonial_area_designation = '';
            $testimonials_area_facebook = '';
            $testimonials_area_twitter = '';
            $testimonials_area_instagram = '';
        }

        $post = get_post();

                   //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $testimonial_area_designation = !empty($designation[0]) ? $designation[0] : '';
         $testimonialsFacebook = get_post_meta($post->ID, 'testimonialsFacebook', false);
        $testimonials_area_facebook = !empty($testimonialsFacebook[0]) ? $testimonialsFacebook[0] : '';

        $testimonialsTwitter = get_post_meta($post->ID, 'testimonialsTwitter', false);
        $testimonials_area_twitter = !empty($testimonialsTwitter[0]) ? $testimonialsTwitter[0] : '';

        $testimonialsInstagram = get_post_meta($post->ID, 'testimonialsInstagram', false);
        $testimonials_area_instagram = !empty($testimonialsInstagram[0]) ? $testimonialsInstagram[0] : '';
            ?>
            <div class="item inner-t-area">
                <div class="ts-main-area">
                <ul class="ts-social">
                   <?php if ($testimonials_area_facebook || $testimonials_area_twitter || $testimonials_area_instagram) { ?>
                             <?php if ($testimonials_area_twitter) { ?>
                                    <li><a target="_blank" href="<?php echo esc_url($testimonials_area_twitter) ?>" class="wow fadeInDown" data-wow-duration="1s"><i class="fa fa-twitter"></i></a></li>
                                <?php } ?>
                            <?php if ($testimonials_area_facebook) { ?>
                                <li><a target="_blank" href="<?php echo esc_url($testimonials_area_facebook) ?>" class="wow fadeInDown" data-wow-duration="2s">
                                    <i class="fa fa-facebook"></i></a></li>
                                <?php } ?>
                               
                                <?php if ($testimonials_area_instagram) { ?>
                                   <li> <a target="_blank" href="<?php echo esc_url($testimonials_area_instagram) ?>" class="wow fadeInDown" data-wow-duration="3s"><i class="fa fa-instagram"></i></a> </li>
                                <?php } ?>
                        <?php } ?>  

                 </ul>
            <div class="ts-area-single pd-0">
            <div class="col-md-3 col-sm-3 col-xs-4 innertestimg">
              <div class="ts-area-thumb">
                <img src="<?php echo (!empty($luzuk_image[0])) ? $luzuk_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
              </div>
            </div>
            <div class="col-md-9 col-sm-9 col-xs-8 pd-0 innertestcontent">
               <div class="ts-area-bx">                  
                  <h6 class="ts-area-title"><?php the_title(); ?></h6>
                  <div class="ts-area-desg"><?php echo ($testimonial_area_designation); ?></div>
              </div>
            </div>
             <div class="clearfix"></div>
             <div class="ts-area-content">
              <div class="ts-area-c section-area-text">   
                <p><?php
                    if (has_excerpt()) {
                        echo get_the_excerpt();
                    } else {
                        echo get_the_content();
                    }
                    ?> 
                </p>                 
              </div> 
             
              <div class="clearfix"></div>
            </div>
        </div>

        <div class="clearfix"></div>
      </div>

            </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('TESTIMONIALS', 'testimonialShortCode');
//CREATING A SHORTCODE FOR THE GALLERY SECTION 
add_shortcode('TEAMLIST', 'teamShortCode');