<?php

$wp_customize->add_panel(
    'luzuk_general_panel',
    array(
        'priority' => 19,
        'title' => __('General Configuration', 'Luzuk Premium')
    )
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
    'title' => __( 'Static Front Page', 'Luzuk Premium' ),
    'panel' => 'luzuk_general_panel',
    'description' => __( 'Your theme supports a static front page.', 'Luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
    'title' => __( 'Site Logo/Title/Tagline', 'Luzuk Premium' ),
    'panel' => 'luzuk_general_panel',
) );

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Max Width', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'pages_logoToppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_logoToppadding',
    array(
        'settings'      => 'pages_logoToppadding',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'pages_logobottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_logobottompadding',
    array(
        'settings'      => 'pages_logobottompadding',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Bottom Padding', 'luzuk-premium' )
    )
);



addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'title_tagline', 'Site Title Color', '#bb8fe8');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'title_tagline', 'Tagline Color', '#bb8fe8');
addColorPalatOption($wp_customize, 'header_logoboxbgColor', 'title_tagline', 'Site Logo Box Background Color', '#fff');

//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
    'title' => __( 'Background Image Setting', 'Luzuk Premium' ),
    'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
    'title' => __( 'Header Image', 'Luzuk Premium' ),
    'panel' => 'luzuk_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
    'header_settings',
    array(
        'title' => __( 'Header Settings', 'Luzuk Premium' ),
        'panel' => 'luzuk_general_panel',
    )
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'luzuk_sticky_header_enable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_sticky_header_enable',
        array(
            'settings'      => 'luzuk_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'Unboxthemes Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);

$wp_customize->add_setting(
    'inner_headertitleboxstickyTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '16em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxstickyTpadding',
    array(
        'settings'      => 'inner_headertitleboxstickyTpadding',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Inner Sticky Page Title Box Top Padding', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'pages_headerhighlightbg',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '60px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_headerhighlightbg',
    array(
        'settings'      => 'pages_headerhighlightbg',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Set Header Highlight Box Height', 'luzuk-premium' )
    )
);

$sectionHeader = 'header_settings';

lzCustomLable($wp_customize, 'header_bgColorssettings', $sectionHeader, 'Header Background Colors');

addColorPalatOption($wp_customize, 'header_completebgColor', 'header_settings', 'Header Complete Background Color', '#fff');

addColorPalatOption($wp_customize, 'header_highlightbgColor', 'header_settings', 'Header Hightlight Background Color', '#bb8fe8');

// Adding the Label
lzCustomLable($wp_customize, 'reservation_lblImgTxt', 'header_settings' , 'Contact Settings:');


$wp_customize->add_setting(
    'header_phone',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+1012-478-245', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'header_phone',
    array(
        'settings'      => 'header_phone',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'header_email',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'toyfactoy@gmail.com', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'header_email',
    array(
        'settings'      => 'header_email',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Email Address', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_phonenumColor', 'header_settings', 'Contact Color', '#e8e2ed');
addColorPalatOption($wp_customize, 'header_phonenumhoverColor', 'header_settings', 'Contact Hover Color', '#fff001');
addColorPalatOption($wp_customize, 'header_phoneiconColor', 'header_settings', 'Contact Icon Color', '#695a77');

lzCustomLable($wp_customize, 'header_searchsettings', $sectionHeader, 'Search Settings');

addColorPalatOption($wp_customize, 'header_searchipColor', 'header_settings', 'Search Text & Placeholder color', '#d5d5d5');
addColorPalatOption($wp_customize, 'header_searchipbgColor', 'header_settings', 'Search Text Box Background color', '#fff');
addColorPalatOption($wp_customize, 'header_searchbtniconColor', 'header_settings', 'Search Button Icon color', '#504e41');
addColorPalatOption($wp_customize, 'header_searchbtniconbgColor', 'header_settings', 'Search Button Icon Background color', '#fff001');


lzCustomLable($wp_customize, 'header_MenuColorssettings', $sectionHeader, 'Navigation Colors');

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus color', '#7c7c7c');
addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Menus Hover color', '#bb8fe8');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_settings', 'Active Menus color', '#bb8fe8');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Header Sub Menus color', '#ffffff');
addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover & Sub Menu Active color', '#fff');
addColorPalatOption($wp_customize, 'header_submenusbgssc1Color', 'header_settings', 'Dropdown Background color One', '#bb8fe8');
addColorPalatOption($wp_customize, 'header_submenusbgssc2Color', 'header_settings', 'Dropdown Background color Two', '#a274d2');
//addColorPalatOption($wp_customize, 'header_topsubmenushvranimatedbgColor', 'header_settings', 'Sub Menus Hover Icon color', '#fff');
addColorPalatOption($wp_customize, 'header_topsubmenushvrbgColor', 'header_settings', 'Sub Current Menus Background color', '#fe6a03');

lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_topsubmenuiconColor', 'header_settings', 'Header Menus Dropdown Icon color', '#bb8fe8');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar color', '#bb8fe8');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box Background Color', '#fff');
addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_settings', 'Navigation Box Border Color', '#fff001');


// Adding the Label
lzCustomLable($wp_customize, 'reservation_lblImgTxt', 'header_settings' , 'Social media icons');

// FACEBOOK 
$wp_customize->add_setting('header_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_fb',
    array(
        'settings'      => 'header_fb',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_tw',
    array(
        'settings'      => 'header_tw',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);

// LINKED IN
$wp_customize->add_setting('header_insta',array('default'=> 'https://www.instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_insta',
    array(
        'settings'      => 'header_insta',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

// Pinterest
$wp_customize->add_setting('header_pin',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_pin',
    array(
        'settings'      => 'header_pin',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'luzuk-premium' )
    )
);
// linkedin
$wp_customize->add_setting('header_link',array('default'=> '','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_link',
    array(
        'settings'      => 'header_link',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'linkedin Url', 'luzuk-premium' )
    )
);


lzCustomLable($wp_customize, 'header_socialColorsssettings', 'header_settings', 'Socials Colors');

addColorPalatOption($wp_customize, 'headersocialcolor', 'header_settings', 'Socials Icons Color', '#fff');
addColorPalatOption($wp_customize, 'headersocial1bgcolor', 'header_settings', 'First Socials Background Color', '#fe6a03');
addColorPalatOption($wp_customize, 'headersocial2bgcolor', 'header_settings', 'Second Socials Background Color', '#ffde00');
addColorPalatOption($wp_customize, 'headersocial3bgcolor', 'header_settings', 'Third Socials Background Color', '#ed59af');
addColorPalatOption($wp_customize, 'headersocial4bgcolor', 'header_settings', 'Fourth Socials Background Color', '#09c588');
addColorPalatOption($wp_customize, 'headersocial5bgcolor', 'header_settings', 'Fifth Socials Background Color', '#795548');
addColorPalatOption($wp_customize, 'header_socialbghoverColor', 'header_settings', 'Socials Background Hover Color', '#bb8fe8');



//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
    'title' => __( 'Colors' , 'Luzuk Premium'),
    'panel' => 'luzuk_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'luzuk_template_color', 'colors', 'Theme Primary Color', '#bb8fe8');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#fe6a03');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Color Setting For Innerpage Colors:');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_titlecolor', 'colors', 'Inner page title color', '#170339');
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_textolor', 'colors', 'Inner page text color', '#546880');
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgcolor1', 'colors', 'Inner page title background color one', '#d7f9ee'); 
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgcolor2', 'colors', 'Inner page title background color two', '#d7f9ee'); 

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_featureimgbgcolor', 'colors', 'Inner page feature image background color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading1_color', 'colors', 'Heading 1 color', '#2e2e2e');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading2_color', 'colors', 'Heading 2 color', '#2e2e2e');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading3_color', 'colors', 'Heading 3 color', '#2e2e2e');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading4_color', 'colors', 'Heading 4 color', '#2e2e2e');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading5_color', 'colors', 'Heading 5 color', '#2e2e2e');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading6_color', 'colors', 'Heading 6 color', '#2e2e2e');

//addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadingborderc1_color', 'colors', 'Heading Border color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_contentboxsidebartitlecolor', 'colors', 'Inner Page Sidebar Heading', '#676767');
addColorPalatOption($wp_customize, 'template_innerpage_contentboxsidebartitlebordercolor', 'colors', 'Inner Page Sidebar Heading Border & Product Button Background Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainbg_color', 'colors', 'Inner Page Widget Background color', '#d7f9ee');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text color', '#666');

addColorPalatOption($wp_customize, 'template_innerpage_productpageboldtextcolor', 'colors', 'Inner Product Page Bold Text Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_cartpageproducttitlecolor', 'colors', 'Inner  Cart Page Product Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductprice_color', 'colors', 'Inner Page Product Selling Price color', '#868b9e');
addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductpricedel_color', 'colors', 'Inner Page Product Price color', '#7c8491');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextcolcolor_color', 'colors', 'Other Text Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextbgsscolcolor_color', 'colors', 'Other Fields Background Color', '#d7f9ee');



addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Links color', '#4f4c4c');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Links Hover color', '#fe6a03');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicon_color', 'colors', 'Inner Page Icons, list number color', '#fe6a03');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclr_color', 'colors', 'Inner Page list number Background color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionsidebarborderrs_color', 'colors', 'Inner Page Sidebar & text field Border color', '#e9e7e7');


addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaytxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaybgsstxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text Background color', '#777777');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquote_color', 'colors', 'Inner Page blockquote Background color', '#f2f2f2');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_pagination', 'colors', 'Color Setting For Pagination:');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepagination_color', 'colors', 'Inner Page Pagination Color', '#000');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbg_color', 'colors', 'Inner Page Pagination Background Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborder_color', 'colors', 'Inner Page Pagination Border Color', '#eaeaea');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationactive_color', 'colors', 'Inner Page Pagination Hover & Active Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbgactive_color', 'colors', 'Inner Page Pagination Background Hover & Active Color', '#bb8fe8');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborderactive_color', 'colors', 'Inner Page Pagination Border Hover & Active Color', '#bb8fe8');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettnavbackttoarrdisplay', 'colors', 'Color Setting For Navigation Back to top arrow:');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_backttoparrcolor', 'colors', 'Site Navigation Arrow color', '#c8a5ec');
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_backttoparrhovercolor', 'colors', 'Site Navigation Arrow Hover color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_backttoparrbackcolbgcolor', 'colors', 'Site Navigation Arrow Background color', '#FFF');
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_backttoparrbackcolbghvrscolor', 'colors', 'Site Navigation Arrow Background Hover color', '#ffde00');



// //BREADCRUMB SETTINGS
// $wp_customize->add_section(
//     'luzuk_breadcrumb_settings',
//     array(
//         'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
//         'panel' => 'luzuk_general_panel',
//     )
// );

//for breadcrumb to show & hide button

// $wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
// $wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Hide Breadcrumb', 'hide' => 'Show Breadcrumb', ), ) ); 

// $wp_customize->add_setting(
//         'luzuk_breadcrumbhometxt',
//         array(
//             'sanitize_callback' => 'luzuk_sanitize_text',
//             'default'           => __( 'Home', 'luzuk' )
//         )
//     );
//     $wp_customize->add_control(
//         'luzuk_breadcrumbhometxt',
//         array(
//             'settings'      => 'luzuk_breadcrumbhometxt',
//             'section'       => 'luzuk_breadcrumb_settings',
//             'type'          => 'text',
//             'label'         => __( 'Add Breadcrumb Text Here:', 'luzuk' )
//         )
//     );

// //Inner page breadcrumbbox title color
// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbtitlecolor', 'luzuk_breadcrumb_settings', 'Inner page breadcrumb box title color', '#fff');
// //Inner page breadcrumbbox current title color
// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlecolor', 'luzuk_breadcrumb_settings', 'Inner page breadcrumb box current title color', '#fff');
// addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlehovercolor', 'luzuk_breadcrumb_settings', 'Inner page breadcrumb box current title hover color', '#fe6a03');
// // end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
    'luzuk_blogpage_settings',
    array(
        'title' => __( 'Blog Page Settings', 'Luzuk Premium' ),
        'panel' => 'luzuk_general_panel',
    )
);

lzCustomLable($wp_customize, 'allblog_heading2label', 'luzuk_blogpage_settings', 'Post Heading Font Size Setting:');

$wp_customize->add_setting(
    'blogpages_innerpageheading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '23px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheading2',
    array(
        'settings'      => 'blogpages_innerpageheading2',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Size', 'luzuk-premium' )
    )
);




lzCustomLable($wp_customize, 'allblog_lblbuttonabtdisplay', 'luzuk_blogpage_settings', 'Post Date & Admin Display Setting:');

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'luzuk_blogpage_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date & Admin', 'hide' => 'Hide Post Date & Admin', ), ) ); 

// end to show & hide button


lzCustomLable($wp_customize, 'singleblog_lblbuttonabtdisplay', 'luzuk_blogpage_settings', 'Post social Icons Display Setting:');


//for POSTPAGEsocialsshare to show & hide button

$wp_customize->add_setting( 'postsocialsshare_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postsocialsshare_button_display', array( 'label' => 'Post social Icons Display', 'section' => 'luzuk_blogpage_settings', 'settings' => 'postsocialsshare_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Social Icons', 'hide' => 'Hide Social Icons', ), ) ); 

// end to show & hide button

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogimgoverlaycolor1', 'luzuk_blogpage_settings', 'Blog page Image Hover Overlay Color', '#bb8fe8');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogbuttoniconcolor', 'luzuk_blogpage_settings', 'Blog page Image Hover Icon color', '#fe6a03');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogbuttoniconbgcolor', 'luzuk_blogpage_settings', 'Blog page Image Hover Icon Background color', '#fff');

//Blog page title color
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogtitlecolor', 'luzuk_blogpage_settings', 'Blog page title color', '#3d3d3d');
//Blog page title hover color
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogtitlehovercolor', 'luzuk_blogpage_settings', 'Blog page title hover color', '#bb8fe8');

//Blog page social color
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogsocialcolor', 'luzuk_blogpage_settings', 'Blog page social color', '#fff');
//Blog page social color
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogsocialbgcolor', 'luzuk_blogpage_settings', 'Blog page social background color', '#bb8fe8');
//Blog page social hover color
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogsocialhovercolor', 'luzuk_blogpage_settings', 'Blog page social hover color', '#fff');
//Blog page social color
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogsocialbghovercolor', 'luzuk_blogpage_settings', 'Blog page social background hover color', '#fe6a03');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogboxbgcolor', 'luzuk_blogpage_settings', 'Blog page Box Background color', '#fff');

//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
    'footer_area',
    array(
        'title' => __( 'Footer Settings', 'Luzuk Premium' ),
        'panel' => 'luzuk_general_panel',
    )
);

backgroundManager($wp_customize, 'footer', 'footer_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'footer_areaPadding', 'footer_area', 'Set Top Footer Padding:');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_areabottomfPadding', 'footer_area', 'Set Bottom Footer Padding:');

$wp_customize->add_setting(
    'sec_bottomareaTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '35px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareaTmargin',
    array(
        'settings'      => 'sec_bottomareaTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_bottomareabottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '35px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareabottommargin',
    array(
        'settings'      => 'sec_bottomareabottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_copytext', 'footer_area', 'Footer Copyright Text:');

$wp_customize->add_setting(
    'footer_area_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Copyright @ 2021 All right reserved for kindero', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_copyrighttext',
    array(
        'settings'      => 'footer_area_copyrighttext',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
    )
);

// Adding the Label
lzCustomLable($wp_customize, 'footer_lblImgTxt', 'footer_area' , 'Social media icons');

// FACEBOOK 
$wp_customize->add_setting('footer_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('footer_fb',
    array(
        'settings'      => 'footer_fb',
        'section'       => 'footer_area',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('footer_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('footer_tw',
    array(
        'settings'      => 'footer_tw',
        'section'       => 'footer_area',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);

// LINKED IN
$wp_customize->add_setting('footer_insta',array('default'=> 'https://www.instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('footer_insta',
    array(
        'settings'      => 'footer_insta',
        'section'       => 'footer_area',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'header_socialColorssettings', 'footer_area', 'Socials Colors');

addColorPalatOption($wp_customize, 'footersocialcolor', 'footer_area', 'Bottom Footer Socials Icons Color', '#fff');
addColorPalatOption($wp_customize, 'footersocial1bgcolor', 'footer_area', 'Bottom Footer First Socials Background Color', '#fe6a03');
addColorPalatOption($wp_customize, 'footersocial2bgcolor', 'footer_area', 'Bottom Footer Second Socials Background Color', '#ffde00');
addColorPalatOption($wp_customize, 'footersocial3bgcolor', 'footer_area', 'Bottom Footer Third Socials Background Color', '#ed59af');
addColorPalatOption($wp_customize, 'footer_socialbghoverColor', 'footer_area', 'Bottom Footer Socials Background Hover Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_bottombg_color', 'footer_area', 'Footer Bottom Background Color', '#bb8fe8');

//theme Footer title Color
addColorPalatOption($wp_customize, 'footerarea_title_color', 'footer_area', 'Footer Title Color', '#4d4d4d');
addColorPalatOption($wp_customize, 'footerarea_text_color', 'footer_area', 'Footer Text Color', '#9e9e9e');
addColorPalatOption($wp_customize, 'footerarea_hglightsctext_color', 'footer_area', 'Footer Hightlight Text Color', '#ffed6e');
addColorPalatOption($wp_customize, 'footerarea_sicon_color', 'footer_area', 'Footer Icon Color', '#acacac');
addColorPalatOption($wp_customize, 'footerarea_siconhover_color', 'footer_area', 'Footer Icon Hover Color', '#ffed6e');

addColorPalatOption($wp_customize, 'footerarea_menu_color', 'footer_area', 'Footer Menu Color', '#acacac');
addColorPalatOption($wp_customize, 'footerarea_menuhover_color', 'footer_area', 'Footer Menu Hover Color', '#ffed6e');
addColorPalatOption($wp_customize, 'footerarea_activemenu_color', 'footer_area', 'Active Menu Color', '#acacac');

addColorPalatOption($wp_customize, 'footerarea_datext_color', 'footer_area', 'Date Text Color', '#acacac');
addColorPalatOption($wp_customize, 'footerarea_tableborder_color', 'footer_area', 'Border Color', '#ffed6e');

addColorPalatOption($wp_customize, 'footerarea_formtextlabel_color', 'footer_area', 'Label Color', '#acacac');
addColorPalatOption($wp_customize, 'footerarea_formtext_color', 'footer_area', 'Form Text & Placeholder Text Color', '#acacac');

addColorPalatOption($wp_customize, 'footerarea_formbuttontext_color', 'footer_area', 'Button Text Color', '#ffed6e');
addColorPalatOption($wp_customize, 'footerareabutton_border_color', 'footer_area', 'Button Border Color', '#ffed6e');

addColorPalatOption($wp_customize, 'footerarea_otherfbgs_color', 'footer_area', 'Other Fields Background Color', '#fff');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
    'luzuk_shopsidebar_settings',
    array(
        'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
        'panel' => 'luzuk_general_panel',
    )
);


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Sidebar', 'hide' => 'Hide Sidebar', ), ) ); 
// end to show & hide button
$wp_customize->add_setting(
    'productpages_innerpageheading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '16px', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'productpages_innerpageheading2',
    array(
        'settings'      => 'productpages_innerpageheading2',
        'section'       => 'luzuk_shopsidebar_settings',
        'type'          => 'text',
        'label'         => __( 'Product Font Size', 'Luzuk Premium' )
    )
);


$wp_customize->add_section(
    'luzuk_innerpageshortcode_page_settings',
    array(
        'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
        'panel' => 'luzuk_general_panel',
    )
);

lzCustomLable($wp_customize, 'luzuk_teaminnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Team Shortcode Page Colors:');

 addColorPalatOption($wp_customize, 'pages_InnerteamNameCColor', 'luzuk_innerpageshortcode_page_settings', 'Select Team Member Name Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnerteamDesignationCColor', 'luzuk_innerpageshortcode_page_settings', 'Select Team Designation Color', '#ddcaf2');

addColorPalatOption($wp_customize, 'Innerteamarea_socialColor', 'luzuk_innerpageshortcode_page_settings', ' Social Icon Color', '#fff');
addColorPalatOption($wp_customize, 'Innerteamarea_social1bgColor', 'luzuk_innerpageshortcode_page_settings', ' First Social Icon Background Color', '#fe6a03');
addColorPalatOption($wp_customize, 'Innerteamarea_social2bgColor', 'luzuk_innerpageshortcode_page_settings', ' Second Social Icon Background Color', '#ffde00');
addColorPalatOption($wp_customize, 'Innerteamarea_social3bgColor', 'luzuk_innerpageshortcode_page_settings', ' Third Social Icon Background Color', '#ed59af');
addColorPalatOption($wp_customize, 'Innerteamarea_socialhoverbgColor', 'luzuk_innerpageshortcode_page_settings', ' Social Icon Background Hover Color', '#bb8fe8');

addColorPalatOption($wp_customize, 'Innerteam_page_ContentboxbgColor', 'luzuk_innerpageshortcode_page_settings', 'Select Team Box Background Color', '#ae7be0');



lzCustomLable($wp_customize, 'luzuk_testimonialinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Testimonial Shortcode Page Colors:');
 
addColorPalatOption($wp_customize, 'luzuk_innertestimonials_textcolor', 'luzuk_innerpageshortcode_page_settings', 'Select Testimonial Content Color', '#ffffff');
  addColorPalatOption($wp_customize, 'luzuk_innertestimonials_imgborderinnercolor', 'luzuk_innerpageshortcode_page_settings', 'Select Image Inner Border Color', '#fff');
  addColorPalatOption($wp_customize, 'luzuk_innertestimonials_imgborderoutercolor', 'luzuk_innerpageshortcode_page_settings', 'Select Image Outer Border Color', '#fe6a03');
addColorPalatOption($wp_customize, 'luzuk_innertestimonials_Namecolor', 'luzuk_innerpageshortcode_page_settings', 'Select Client Name Color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_innertestimonials_Desgcolor', 'luzuk_innerpageshortcode_page_settings', 'Select Client Designation Color', '#fff');
 addColorPalatOption($wp_customize, 'luzuk_innertestimonials_boxbg1color', 'luzuk_innerpageshortcode_page_settings', 'Select Even Box Background Color', '#bb8fe8');
 addColorPalatOption($wp_customize, 'luzuk_innertestimonials_boxbg2color', 'luzuk_innerpageshortcode_page_settings', 'Select Odd Box Background Color', '#f97474');

  addColorPalatOption($wp_customize, 'luzuk_innertestimonials_Boxbordercolor', 'luzuk_innerpageshortcode_page_settings', 'Select Box Border Color', '#fe6a03');

addColorPalatOption($wp_customize, 'innerTs_socialColor', 'luzuk_innerpageshortcode_page_settings', ' Social Icon Color', '#fff');
addColorPalatOption($wp_customize, 'innerTs_social1bgColor', 'luzuk_innerpageshortcode_page_settings', ' First Social Icon Background Color', '#fe6a03');
addColorPalatOption($wp_customize, 'innerTs_social2bgColor', 'luzuk_innerpageshortcode_page_settings', ' Second Social Icon Background Color', '#ffde00');
addColorPalatOption($wp_customize, 'innerTs_social3bgColor', 'luzuk_innerpageshortcode_page_settings', ' Third Social Icon Background Color', '#ed59af');
addColorPalatOption($wp_customize, 'innerTs_socialhoverbgColor', 'luzuk_innerpageshortcode_page_settings', ' Social Icon Background Hover Color', '#000');


lzCustomLable($wp_customize, 'luzuk_galleryinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Colors:');

lzCustomLable($wp_customize, 'luzuk_galleryinnerpagegallresclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Note: Kindly Use Gallery image of same resolution. Recomended image size is 400x400');

addColorPalatOption($wp_customize, 'pages_innerimghoveroverlayColor1', 'luzuk_innerpageshortcode_page_settings', 'Select Image Hover Overlay Background color One', '#625858');
addColorPalatOption($wp_customize, 'pages_innerimghoveroverlayColor2', 'luzuk_innerpageshortcode_page_settings', 'Select Image Hover Overlay Background color Two', '#000');
addColorPalatOption($wp_customize, 'pages_innerimgborderColor', 'luzuk_innerpageshortcode_page_settings', 'Select Image Border color', '#ffffff');
addColorPalatOption($wp_customize, 'pages_innerimgboxborderColor', 'luzuk_innerpageshortcode_page_settings', 'Select Image Box Border color', '#ffde00');

 
lzCustomLable($wp_customize, 'luzuk_faqinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Faq Shortcode Page Colors:');

 addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitlenumevenColor', 'luzuk_innerpageshortcode_page_settings', 'Select Faq Even Number Color', '#fe6a03');

  addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitlenumoddColor', 'luzuk_innerpageshortcode_page_settings', 'Select Faq Odd Number Color', '#ed59af');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleColor', 'luzuk_innerpageshortcode_page_settings', 'Select Faq Question Text Color', '#666');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxborderColor', 'luzuk_innerpageshortcode_page_settings', 'Select Answer Border Color', '#ddd');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetextcColor', 'luzuk_innerpageshortcode_page_settings', 'Select Faq Answer Text Color', '#546880');

$wp_customize->add_section(
    'luzuk_innerpagefont_settings',
    array(
        'title' => __( 'Inner Page Settings', 'luzuk-premium' ),
        'panel' => 'luzuk_general_panel',
    )
);

lzCustomLable($wp_customize, 'luzuk_innerpage_titlefontsize', 'luzuk_innerpagefont_settings', ' Set Header Title Font Size:');


$wp_customize->add_setting(
    'pages_innerpagesiteheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '48px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpagesiteheading',
    array(
        'settings'      => 'pages_innerpagesiteheading',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Header Title Font Size ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_innerpage_titlepaddset', 'luzuk_innerpagefont_settings', ' Set Header Title Box Padding:');


$wp_customize->add_setting(
    'inner_headertitleboxTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxTpadding',
    array(
        'settings'      => 'inner_headertitleboxTpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'inner_headertitleboxBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxBpadding',
    array(
        'settings'      => 'inner_headertitleboxBpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);



lzCustomLable($wp_customize, 'luzuk_innerpageh1_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 1:');


$wp_customize->add_setting(
    'pages_innerpageheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '35px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading',
    array(
        'settings'      => 'pages_innerpageheading',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
    )
);


lzCustomLable($wp_customize, 'luzuk_innerpageh2_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 2:');


$wp_customize->add_setting(
    'pages_innerpageheading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '24px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading2',
    array(
        'settings'      => 'pages_innerpageheading2',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
    )
);
 

lzCustomLable($wp_customize, 'luzuk_innerpageh3_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 3:');


$wp_customize->add_setting(
    'pages_innerpageheading3',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '20px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading3',
    array(
        'settings'      => 'pages_innerpageheading3',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_innerpageh4_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 4:');


$wp_customize->add_setting(
    'pages_innerpageheading4',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '18px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading4',
    array(
        'settings'      => 'pages_innerpageheading4',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_innerpageh5_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 5:');


$wp_customize->add_setting(
    'pages_innerpageheading5',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '17px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading5',
    array(
        'settings'      => 'pages_innerpageheading5',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_innerpageh6_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 6:');


$wp_customize->add_setting(
    'pages_innerpageheading6',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '16px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheading6',
    array(
        'settings'      => 'pages_innerpageheading6',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
    )
);