<?php
$wp_customize->add_section(
    'activities_area',
    array(
        'title' => __('Activities Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
$wp_customize->add_setting(
    'activities_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'activities_area_disable',
        array(
            'settings'      => 'activities_area_disable',
            'section'       => 'activities_area',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

lzCustomLable($wp_customize, 'activitiesarea_padding', 'activities_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'activitiessection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'activitiessection_toppadding',
    array(
        'settings'      => 'activitiessection_toppadding',
        'section'       => 'activities_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'activitiessection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'activitiessection_bottompadding',
    array(
        'settings'      => 'activitiessection_bottompadding',
        'section'       => 'activities_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

backgroundManager($wp_customize, 'activities', 'activities_area', $color='#f5f5f5', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting(
        'activities_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'activities_image_heading',
            array(
                'settings'      => 'activities_image_heading',
                'section'       => 'activities_area',
                'label'         => __( 'Left Image', 'luzuk-premium' ),
            )
        )
    );

      $wp_customize->add_setting(
        'activities_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'activities_image',
            array(
                'section' => 'activities_area',
                'settings' => 'activities_image',
                'description' => __('Recommended Image Size: 500X600px', 'luzuk-premium')
            )
        )
    );

$wp_customize->add_setting(
    'activities_page_maintitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'activities_page_maintitle_heading',
        array(
            'settings'      => 'activities_page_maintitle_heading',
            'section'       => 'activities_area',
            'label'         => __( 'Section Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'activities_page_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our Activities', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'activities_page_maintitle',
    array(
        'settings'      => 'activities_page_maintitle',
        'section'       => 'activities_area',
        'type'          => 'text',
        'label'         => __( 'Heading for section', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'activitiesarea_title_color', 'activities_area', 'Heading color', '#444444');
addColorPalatOption($wp_customize, 'activitiesarea_titlebigborder_color', 'activities_area', 'Heading Big Border color ', '#bb8fe8');
addColorPalatOption($wp_customize, 'activitiesarea_titlesmallborder_color', 'activities_area', 'Heading Small Border color ', '#fff001');

$wp_customize->add_setting('activities_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'activities_npp_heading',
        array(
            'settings'      => 'activities_npp_heading',
            'section'       => 'activities_area',
            'label'         => __( 'Number Of Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('activities_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control(
    'activities_npp_count',
    array(
        'settings'      => 'activities_npp_count',
        'section'       => 'activities_area',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'activities_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'activities_header'.$i,
            array(
                'settings'      => 'activities_header'.$i,
                'section'       => 'activities_area',
                'label'         => __( 'Page ', 'luzuk-premium' ).$i
            )
        )
    );


     $wp_customize->add_setting(
        'activities_page_icon'.$i,
        array(
            'default'           => 'fa fa-users',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'activities_page_icon'.$i,
            array(
                'settings'      => 'activities_page_icon'.$i,
                'section'       => 'activities_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

    addColorPalatOption($wp_customize, 'activities_page_IconbgColor'.$i, 'activities_area', 'Activities Icon Background color', '#ed59af');

    lzAddElement($wp_customize, 'activities_page_title_'.$i, 'activities_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Social Activities');

      addColorPalatOption($wp_customize, 'activities_page_titleColor'.$i, 'activities_area', 'Page Title Color', '#ed59af');

     lzAddElement($wp_customize, 'activities_page_text_'.$i, 'activities_area', $type = 'textarea', $label="Text", $callback ='luzuk_sanitize_text', $default='Lorem ipsum dolor sitting ametcon ectetur adipis elite seddius.');
}

    addColorPalatOption($wp_customize, 'activitiesarea_BoxtextColor', 'activities_area', 'Page Text Color', '#b3b3b3');
   addColorPalatOption($wp_customize, 'activitiesarea_BoxsmalliconColor', 'activities_area', 'Page Icon Color', '#fff');

addColorPalatOption($wp_customize, 'activities_page_Iconborderchild15Color', 'activities_area', 'Page Icon First & Fifth Border color', '#ed59af');
addColorPalatOption($wp_customize, 'activities_page_Iconborderchild26Color', 'activities_area', 'Page Icon Second & Sixth Border color', '#ed59af');
addColorPalatOption($wp_customize, 'activities_page_Iconborderchild37Color', 'activities_area', 'Page Icon Third & Seventh Border color', '#ed59af');
addColorPalatOption($wp_customize, 'activities_page_Iconborderchild48Color', 'activities_area', 'Page Icon Fourth & Eighth Border color', '#ed59af');
?>