<?php
$wp_customize->add_section(
    'features_area',
    array(
        'title' => __('Features Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
$wp_customize->add_setting(
    'features_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'features_area_disable',
        array(
            'settings'      => 'features_area_disable',
            'section'       => 'features_area',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

lzCustomLable($wp_customize, 'featuresarea_padding', 'features_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'features_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'features_areaTpadding',
    array(
        'settings'      => 'features_areaTpadding',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'features_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'features_areaBpadding',
    array(
        'settings'      => 'features_areaBpadding',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

backgroundManager($wp_customize, 'features', 'features_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');



$wp_customize->add_setting(
    'features_page_maintitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'features_page_maintitle_heading',
        array(
            'settings'      => 'features_page_maintitle_heading',
            'section'       => 'features_area',
            'label'         => __( 'Section Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'features_page_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our Features', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'features_page_maintitle',
    array(
        'settings'      => 'features_page_maintitle',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Heading for section', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'featuresarea_title_color', 'features_area', 'Heading color', '#444444');
addColorPalatOption($wp_customize, 'featuresarea_titlebigborder_color', 'features_area', 'Heading Big Border color', '#bb8fe8');
addColorPalatOption($wp_customize, 'featuresarea_titlesmallborder_color', 'features_area', 'Heading Small Border color', '#fff001');

$wp_customize->add_setting('features_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'features_npp_heading',
        array(
            'settings'      => 'features_npp_heading',
            'section'       => 'features_area',
            'label'         => __( 'Number Of Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('features_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control(
    'features_npp_count',
    array(
        'settings'      => 'features_npp_count',
        'section'       => 'features_area',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'features_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'features_header'.$i,
            array(
                'settings'      => 'features_header'.$i,
                'section'       => 'features_area',
                'label'         => __( 'Page ', 'luzuk-premium' ).$i
            )
        )
    );


     $wp_customize->add_setting(
        'features_page_icon'.$i,
        array(
            'default'           => 'fa fa-cubes',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'features_page_icon'.$i,
            array(
                'settings'      => 'features_page_icon'.$i,
                'section'       => 'features_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

    addColorPalatOption($wp_customize, 'features_page_IconbgColor'.$i, 'features_area', 'Features Icon Background color', '#f27bbf');

    lzAddElement($wp_customize, 'features_page_title_'.$i, 'features_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Professional Teaching');

     lzAddElement($wp_customize, 'features_page_text_'.$i, 'features_area', $type = 'textarea', $label="Text", $callback ='luzuk_sanitize_text', $default='Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod the tempor');
}
    addColorPalatOption($wp_customize, 'featuresarea_BoxttlColor', 'features_area', 'Page Title Color', '#4f4f4f');

    addColorPalatOption($wp_customize, 'featuresarea_Boxttlhoverchild15Color', 'features_area', 'Page First & Fifth Title Hover Color', '#f27bbf');
    addColorPalatOption($wp_customize, 'featuresarea_Boxttlhoverchild26Color', 'features_area', 'Page Second & Sixth Title Hover Color', '#f27bbf');
    addColorPalatOption($wp_customize, 'featuresarea_Boxttlhoverchild37Color', 'features_area', 'Page Third & Seventh Title Hover Color', '#f27bbf');
    addColorPalatOption($wp_customize, 'featuresarea_Boxttlhoverchild48Color', 'features_area', 'Page Fourth & Eighth Title Hover Color', '#f27bbf');

    addColorPalatOption($wp_customize, 'featuresarea_BoxtextColor', 'features_area', 'Page Text Color', '#b3b3b3');
   addColorPalatOption($wp_customize, 'featuresarea_BoxsmalliconColor', 'features_area', 'Page Icon Color', '#fff');

addColorPalatOption($wp_customize, 'features_page_Iconborderchild15Color', 'features_area', 'Page Icon First & Fifth Border color', '#f27bbf');
addColorPalatOption($wp_customize, 'features_page_Iconborderchild26Color', 'features_area', 'Page Icon Second & Sixth Border color', '#f27bbf');
addColorPalatOption($wp_customize, 'features_page_Iconborderchild37Color', 'features_area', 'Page Icon Third & Seventh Border color', '#f27bbf');
addColorPalatOption($wp_customize, 'features_page_Iconborderchild48Color', 'features_area', 'Page Icon Fourth & Eighth Border color', '#f27bbf');